%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%define	modname	elasticsearch

Summary:	python-%{modname} - Python package for ElasticSearch

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		python-%{modname}
Version:	6.3.1
Release:	1%{?dist}

License:	BSD

Group:		Applications
Source:		%{name}-%{version}.tar.gz
URL:		URL

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	%{__python} 

%description
Official low-level client for Elasticsearch. Its goal is to provide common ground for all
Elasticsearch-related code in Python; because of this it tries to be opinion-free and very
extendable.

For a more high level client library with more limited scope, have a look at elasticsearch-dsl -
a more pythonic library sitting on top of elasticsearch-py.

It provides a more convenient and idiomatic way to write and manipulate queries. It stays close
to the Elasticsearch JSON DSL, mirroring its terminology and structure while exposing the whole
range of the DSL from Python either directly using defined classes or a queryset-like expressions.

It also provides an optional persistence layer for working with documents as Python objects in
an ORM-like fashion: defining mappings, retrieving and saving documents, wrapping the document
data in user-defined classes.

%prep
%setup -n %{modname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc LICENSE README README.rst
%attr(444, root, root)	%{python_sitelib}/%{modname}*egg-info
%attr(755, root, root)	%{python_sitelib}/%{modname}/

%changelog
* Fri Jan 27 2017 Lawrence R. Rogers <lrr@cert.org> 6.3.1-1
* Release 6.3.1
	Version 6.3.1.
